public class Lab {
    private Student[] students = new Student[20];
    private double avg;
    private String day;
    private int capacity;
    private int currentSize = 0;
    private String nameTA;

    public Lab(int capacity, String day, String nameTA) {
        this.nameTA = nameTA;
        this.capacity = capacity;
        this.day = day;
    }
    public void enrollStudent(Student std) {
        if (currentSize < capacity) {
            students[currentSize] = std;
            currentSize++;
            setStudents(students);
        } else {
            System.out.println("Lab is full!!!");
        }
    }
    public void printLab() {
        System.out.println("Average:" + getAvg()+" , Capacity:"+capacity+" , Name_TA:"+nameTA+" , Day:" + day+"Current size:" + currentSize);
    }
    public Student[] getStudents() {
        return students;
    }
    public void setStudents(Student[] students) {
        this.students = students;
    }
    public double calculateAvg() {
        double sum = 0;
        for(int i = 0; i < 3; i++){
            sum += students[i].getGrade();
        }
        return sum / currentSize;
    }
    public double getAvg(){
        return calculateAvg();
    }
    public String getDay() {
        return day;
    }
    public void setAvg(String day){
        this.day = day;
    }
    public int getCapacity() {
        return capacity;
    }
    public void setCapacity(int cap){
        capacity = cap;
    }
    public int getCurrentSize(){
        return currentSize;
    }
    public void printMember(){
        double sum = 0;
        int i;
        for(i = 0; i < currentSize; i++){
            students[i].print();
            sum += students[i].getGrade();
        }
        double v = sum / i;
        System.out.println("Average of : "+v);
    }
    public boolean isHere(Student student){
        for(int i = 0; i < currentSize; i++){
            if(students[i] == student)
                return true;
        }
        return false;
    }
}
